%bcond_without bootstrap

%global srcname gunicorn

Summary:        Python WSGI HTTP Server
Name:           python-%{srcname}
Version:        20.1.0
Release:        3%{?dist}
License:        MIT
URL:            https://gunicorn.org/
Source0:        %pypi_source %{srcname}

Patch3000:      0001-use-dev-log-for-syslog.patch
Patch3001:      0002-eventlet-worker-ALREADY_HANDLED-WSGI_LOCAL.patch
Patch3002:      gunicorn-20.1.0-remove-setuptools.patch

BuildArch:      noarch

%description
Gunicorn 'Green Unicorn' is a Python WSGI HTTP Server for UNIX. It is a pre-fork worker model. The
Gunicorn server is broadly compatible with various web frameworks, simply implemented, light on
server resources, and fairly speedy.

%package -n python3-%{srcname}
Summary:        Python WSGI HTTP Server
BuildRequires:  python3-devel make

%description -n python3-%{srcname}
Gunicorn 'Green Unicorn' is a Python WSGI HTTP Server for UNIX. It is a pre-fork worker model. The
Gunicorn server is broadly compatible with various web frameworks, simply implemented, light on
server resources, and fairly speedy.

%prep
%autosetup -n %{srcname}-%{version} -p 1
sed -e '/coverage/d' -e '/pytest-cov/d' -i requirements_test.txt
sed -e '/addopts/d' -i setup.cfg
%if %{with bootstrap}
sed -i '/aiohttp/d' requirements_test.txt
%endif

%generate_buildrequires
%pyproject_buildrequires requirements_dev.txt

%build
%pyproject_wheel
%make_build -C docs html

%install
%pyproject_install
%pyproject_save_files %{srcname}
ln -s %{_bindir}/gunicorn %{buildroot}%{_bindir}/gunicorn-3
ln -s %{_bindir}/gunicorn %{buildroot}%{_bindir}/gunicorn-%{python3_version}

%check
%if %{without bootstrap}
%pytest --verbose tests
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc docs/build/html/*
%doc NOTICE README.rst THANKS
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-3
%{_bindir}/%{srcname}-%{python3_version}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Shuo Wang <abushwang@tencent.com> - 20.1.0-1
- initial build
